Agile (PLANTA pulse)

API Documentation

Information

  • This topic contains information about the PLANTA pulse API.

  • The documentation of the API endpoints can be accessed by adding /api-docs to your PLANTA pulse URL.

Security

Information

  • This API is secured by Bearer Token Auth.

  • The following endpoint can be used to obtain a login token:

    • POST /users/login

Permissions

Information

  • Admins are permitted to call all functions of the API.

    • GET PUT POST DELETE /api

  • Users with board access are permitted to call all GET endpoints inside their boards scope

    • GET api/boards/boardId...

    • GET api/boards/boardId/lists...

    • etc...

  • Normal users can call:

    • GET api/user

    • GET api/users/userId/boards

Responses

Information

  • This API uses the standard HTTP error reporting format for the JSON API.

  • Successful requests return HTTP status codes in the 2xx range.

  • Failed requests return status codes in the 4xx and 5xx ranges.

  • When an error occurs, the header information contains the following:

    • Content-Type: application/json or text/html

    • An appropriate 4xx, or 5xx HTTP status code

  • The body or the response also contains information about the error.

  • Error responses usually include a JSON document in the response body, which contains information about the error.

  • The following sample error JSON response shows the structure of response elements.

    • Code 401

    • Response body:

JSON
{
          "message": "The request requires user authentication.",
          "error": {
            "stack": "Error: Unauthorized [Unauthorized]
            at Object.Authentication.checkUserId (server/authentication.js:12:21)
            at models/boards.js:979:22
            at packages/simple_json-routes.js:98:9",
            "message": "Unauthorized"
          }
        }

Explanation of error response elements

  • code: HTTP status code

  • message: description of the error

  • error: container for the error information

  • errors.message: description of the error

  • errors.stack: string describing the point in the code where the error was instantiated